<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>value_to_string &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>value_to_string
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">57 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">value_to_string</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine value_to_string(gval, chars, length, err, fmt)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>  <span class="nv">value_to_string</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="o">-</span> [<span class="nv">M_strings</span>:<span class="nv">NUMERIC</span>] <span class="k">return</span> <span class="nv">numeric</span> <span class="nv">string</span> <span class="nv">from</span> <span class="nv">a</span> <span class="nv">numeric</span> <span class="nv">value</span>
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code>subroutine value_to_string(value,chars[,ilen,ierr,fmt])

 character(len=*) :: chars  ! minimum of 23 characters required
 !--------
 ! VALUE may be any <span class="nt">&lt;em&gt;</span>one<span class="nt">&lt;/em&gt;</span> of the following types:
 doubleprecision,intent(in)               :: value
 real,intent(in)                          :: value
 integer,intent(in)                       :: value
 logical,intent(in)                       :: value
 !--------
 character(len=*),intent(out)             :: chars
 integer,intent(out),optional             :: ilen
 integer,optional                         :: ierr
 character(len=*),intent(in),optional     :: fmt
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">value_to_string</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="nv">returns</span> <span class="nv">a</span> <span class="nv">numeric</span> <span class="nv">representation</span> <span class="nv">in</span> <span class="nv">a</span> <span class="nv">string</span> <span class="nv">given</span>
<span class="nv">a</span> <span class="nv">numeric</span> <span class="nv">value</span> <span class="nv">of</span> <span class="nv">type</span> <span class="nv">REAL</span>, <span class="nv">DOUBLEPRECISION</span>, <span class="nv">INTEGER</span> <span class="nv">or</span> <span class="nv">LOGICAL</span>. <span class="nv">It</span>
<span class="nv">creates</span> <span class="nv">the</span> <span class="nv">string</span> <span class="nv">using</span> <span class="nv">internal</span> <span class="nv">writes</span>. <span class="nv">It</span> <span class="k">then</span> <span class="nv">removes</span> <span class="nv">trailing</span>
<span class="nv">zeros</span> <span class="nv">from</span> <span class="nv">non</span><span class="o">-</span><span class="nv">zero</span> <span class="nv">values</span>, <span class="nv">and</span> <span class="nv">left</span><span class="o">-</span><span class="nv">justifies</span> <span class="nv">the</span> <span class="nv">string</span>.
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code>   VALUE   input value to be converted to a string
   FMT     You may specify a specific format that produces a string
           up to the length of CHARS; optional.
</code></pre></div>

<h2>RETURNS</h2>
<div class="codehilite"><pre><span></span><code>   <span class="nv">CHARS</span>   <span class="nv">returned</span> <span class="nv">string</span> <span class="nv">representing</span> <span class="nv">input</span> <span class="nv">value</span>, <span class="nv">must</span> <span class="nv">be</span> <span class="nv">at</span> <span class="nv">least</span>
           <span class="mi">23</span> <span class="nv">characters</span> <span class="nv">long</span><span class="c1">; or what is required by optional FMT if longer.</span>
   <span class="nv">ILEN</span>    <span class="nv">position</span> <span class="nv">of</span> <span class="nv">last</span> <span class="nv">non</span><span class="o">-</span><span class="nv">blank</span> <span class="nv">character</span> <span class="nv">in</span> <span class="nv">returned</span> <span class="nv">string</span><span class="c1">; optional.</span>
   <span class="nv">IERR</span>    <span class="k">If</span> <span class="nv">not</span> <span class="nv">zero</span>, <span class="nv">error</span> <span class="nv">occurred</span><span class="c1">; optional.</span>
</code></pre></div>

<h2>EXAMPLE</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">Sample</span> <span class="nv">program</span>:

  <span class="nv">program</span> <span class="nv">demo_value_to_string</span>
  <span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span>: <span class="nv">value_to_string</span>
  <span class="nv">implicit</span> <span class="nv">none</span>
  <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">80</span><span class="ss">)</span> :: <span class="nv">string</span>
  <span class="nv">integer</span>           :: <span class="nv">ilen</span>
     <span class="k">call</span> <span class="nl">value_to_string</span><span class="ss">(</span><span class="mi">3</span>.<span class="mi">0</span><span class="o">/</span><span class="mi">4</span>.<span class="mi">0</span>,<span class="nv">string</span>,<span class="nv">ilen</span><span class="ss">)</span>
     <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="s1">&#39;</span><span class="s">The value is [</span><span class="s1">&#39;</span>,<span class="nv">string</span><span class="ss">(</span>:<span class="nv">ilen</span><span class="ss">)</span>,<span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>

     <span class="k">call</span> <span class="nl">value_to_string</span><span class="ss">(</span><span class="mi">3</span>.<span class="mi">0</span><span class="o">/</span><span class="mi">4</span>.<span class="mi">0</span>,<span class="nv">string</span>,<span class="nv">ilen</span>,<span class="nv">fmt</span><span class="o">=</span><span class="s1">&#39;&#39;</span><span class="ss">)</span>
     <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="s1">&#39;</span><span class="s">The value is [</span><span class="s1">&#39;</span>,<span class="nv">string</span><span class="ss">(</span>:<span class="nv">ilen</span><span class="ss">)</span>,<span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>

     <span class="k">call</span> <span class="nl">value_to_string</span><span class="ss">(</span><span class="mi">3</span>.<span class="mi">0</span><span class="o">/</span><span class="mi">4</span>.<span class="mi">0</span>,<span class="nv">string</span>,<span class="nv">ilen</span>,<span class="nv">fmt</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">(&quot;THE VALUE IS &quot;,g0)</span><span class="s1">&#39;</span><span class="ss">)</span>
     <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="s1">&#39;</span><span class="s">The value is [</span><span class="s1">&#39;</span>,<span class="nv">string</span><span class="ss">(</span>:<span class="nv">ilen</span><span class="ss">)</span>,<span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>

     <span class="k">call</span> <span class="nl">value_to_string</span><span class="ss">(</span><span class="mi">1234</span>,<span class="nv">string</span>,<span class="nv">ilen</span><span class="ss">)</span>
     <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="s1">&#39;</span><span class="s">The value is [</span><span class="s1">&#39;</span>,<span class="nv">string</span><span class="ss">(</span>:<span class="nv">ilen</span><span class="ss">)</span>,<span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>

     <span class="k">call</span> <span class="nl">value_to_string</span><span class="ss">(</span><span class="mi">1</span>.<span class="mi">0</span><span class="nv">d0</span><span class="o">/</span><span class="mi">3</span>.<span class="mi">0</span><span class="nv">d0</span>,<span class="nv">string</span>,<span class="nv">ilen</span><span class="ss">)</span>
     <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="s1">&#39;</span><span class="s">The value is [</span><span class="s1">&#39;</span>,<span class="nv">string</span><span class="ss">(</span>:<span class="nv">ilen</span><span class="ss">)</span>,<span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>

  <span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_value_to_string</span>

<span class="nv">Expected</span> <span class="nv">output</span>

 <span class="nv">The</span> <span class="nv">value</span> <span class="nv">is</span> [<span class="mi">0</span>.<span class="mi">75</span>]
 <span class="nv">The</span> <span class="nv">value</span> <span class="nv">is</span> [      <span class="mi">0</span>.<span class="mi">7500000000</span>]
 <span class="nv">The</span> <span class="nv">value</span> <span class="nv">is</span> [<span class="nv">THE</span> <span class="nv">VALUE</span> <span class="nv">IS</span> .<span class="mi">750000000</span>]
 <span class="nv">The</span> <span class="nv">value</span> <span class="nv">is</span> [<span class="mi">1234</span>]
 <span class="nv">The</span> <span class="nv">value</span> <span class="nv">is</span> [<span class="mi">0</span>.<span class="mi">33333333333333331</span>]
</code></pre></div>

<p>cannot currently do I/O from a function being called from I/O
write(ERROR_UNIT,'(a)')'<em>value_to_string</em> WARNING:['//trim(msg)//']'</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gval%7E2"></span>class(*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>gval</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-chars%7E11"></span>character(len=*),</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>chars</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-length%7E4"></span>integer,</td>
  <td>intent(out),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>length</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-err"></span>integer,</td>
  <td></td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>err</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fmt%7E5"></span>character(len=*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>fmt</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~value_to_string~~CallsGraph Pages: 1 -->
<svg id="procvalue_to_stringCallsGraph" width="186pt" height="32pt"
 viewBox="0.00 0.00 186.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~value_to_string~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>proc~~value_to_string~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 182,-28 182,4 -4,4"/>
<!-- proc~value_to_string -->
<g id="proc~~value_to_string~~CallsGraph_node1" class="node">
<title>proc~value_to_string</title>
<polygon fill="none" stroke="#000000" points="85,-24 0,-24 0,0 85,0 85,-24"/>
<text text-anchor="middle" x="42.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">value_to_string</text>
</g>
<!-- proc~trimzeros -->
<g id="proc~~value_to_string~~CallsGraph_node2" class="node">
<title>proc~trimzeros</title>
<g id="a_proc~~value_to_string~~CallsGraph_node2"><a xlink:href=".././proc/trimzeros.html" xlink:title="trimzeros">
<polygon fill="#d9534f" stroke="#d9534f" points="178,-24 121,-24 121,0 178,0 178,-24"/>
<text text-anchor="middle" x="149.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzeros</text>
</a>
</g>
</g>
<!-- proc~value_to_string&#45;&gt;proc~trimzeros -->
<g id="proc~~value_to_string~~CallsGraph_edge1" class="edge">
<title>proc~value_to_string&#45;&gt;proc~trimzeros</title>
<path fill="none" stroke="#000000" d="M85.0967,-12C93.538,-12 102.3576,-12 110.6658,-12"/>
<polygon fill="#000000" stroke="#000000" points="110.8491,-15.5001 120.849,-12 110.849,-8.5001 110.8491,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~value_to_string~~CalledByGraph Pages: 1 -->
<svg id="procvalue_to_stringCalledByGraph" width="641pt" height="398pt"
 viewBox="0.00 0.00 641.00 398.36" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~value_to_string~~CalledByGraph" class="graph" transform="scale(.9054 .9054) rotate(0) translate(4 436)">
<title>proc~~value_to_string~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-436 704,-436 704,4 -4,4"/>
<!-- proc~value_to_string -->
<g id="proc~~value_to_string~~CalledByGraph_node1" class="node">
<title>proc~value_to_string</title>
<polygon fill="none" stroke="#000000" points="700,-348 615,-348 615,-324 700,-324 700,-348"/>
<text text-anchor="middle" x="657.5" y="-333.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">value_to_string</text>
</g>
<!-- proc~r2s -->
<g id="proc~~value_to_string~~CalledByGraph_node2" class="node">
<title>proc~r2s</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node2"><a xlink:href=".././proc/r2s.html" xlink:title="r2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="563.5,-390 509.5,-390 509.5,-366 563.5,-366 563.5,-390"/>
<text text-anchor="middle" x="536.5" y="-375.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">r2s</text>
</a>
</g>
</g>
<!-- proc~r2s&#45;&gt;proc~value_to_string -->
<g id="proc~~value_to_string~~CalledByGraph_edge1" class="edge">
<title>proc~r2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M563.6548,-368.5744C578.2162,-363.52 596.5256,-357.1647 613.0973,-351.4125"/>
<polygon fill="#000000" stroke="#000000" points="614.3128,-354.6955 622.6121,-348.1098 612.0173,-348.0826 614.3128,-354.6955"/>
</g>
<!-- proc~l2s -->
<g id="proc~~value_to_string~~CalledByGraph_node3" class="node">
<title>proc~l2s</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node3"><a xlink:href=".././proc/l2s.html" xlink:title="l2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="563.5,-348 509.5,-348 509.5,-324 563.5,-324 563.5,-348"/>
<text text-anchor="middle" x="536.5" y="-333.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">l2s</text>
</a>
</g>
</g>
<!-- proc~l2s&#45;&gt;proc~value_to_string -->
<g id="proc~~value_to_string~~CalledByGraph_edge2" class="edge">
<title>proc~l2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M563.6548,-336C575.7656,-336 590.4689,-336 604.6088,-336"/>
<polygon fill="#000000" stroke="#000000" points="604.7602,-339.5001 614.7601,-336 604.7601,-332.5001 604.7602,-339.5001"/>
</g>
<!-- proc~i2s -->
<g id="proc~~value_to_string~~CalledByGraph_node4" class="node">
<title>proc~i2s</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node4"><a xlink:href=".././proc/i2s.html" xlink:title="i2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="563.5,-306 509.5,-306 509.5,-282 563.5,-282 563.5,-306"/>
<text text-anchor="middle" x="536.5" y="-291.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">i2s</text>
</a>
</g>
</g>
<!-- proc~i2s&#45;&gt;proc~value_to_string -->
<g id="proc~~value_to_string~~CalledByGraph_edge3" class="edge">
<title>proc~i2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M563.6548,-303.4256C578.2162,-308.48 596.5256,-314.8353 613.0973,-320.5875"/>
<polygon fill="#000000" stroke="#000000" points="612.0173,-323.9174 622.6121,-323.8902 614.3128,-317.3045 612.0173,-323.9174"/>
</g>
<!-- proc~d2s -->
<g id="proc~~value_to_string~~CalledByGraph_node5" class="node">
<title>proc~d2s</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node5"><a xlink:href=".././proc/d2s.html" xlink:title="d2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="563.5,-264 509.5,-264 509.5,-240 563.5,-240 563.5,-264"/>
<text text-anchor="middle" x="536.5" y="-249.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">d2s</text>
</a>
</g>
</g>
<!-- proc~d2s&#45;&gt;proc~value_to_string -->
<g id="proc~~value_to_string~~CalledByGraph_edge4" class="edge">
<title>proc~d2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M563.0621,-264.0137C568.4558,-266.7594 574.0036,-269.8143 579,-273 599.6374,-286.1585 621.1907,-303.7768 636.4801,-317.036"/>
<polygon fill="#000000" stroke="#000000" points="634.4631,-319.9231 644.2842,-323.8978 639.0853,-314.6662 634.4631,-319.9231"/>
</g>
<!-- proc~v2s_bug -->
<g id="proc~~value_to_string~~CalledByGraph_node6" class="node">
<title>proc~v2s_bug</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node6"><a xlink:href=".././proc/v2s_bug.html" xlink:title="v2s_bug">
<polygon fill="#d94e8f" stroke="#d94e8f" points="563.5,-432 509.5,-432 509.5,-408 563.5,-408 563.5,-432"/>
<text text-anchor="middle" x="536.5" y="-417.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">v2s_bug</text>
</a>
</g>
</g>
<!-- proc~v2s_bug&#45;&gt;proc~value_to_string -->
<g id="proc~~value_to_string~~CalledByGraph_edge5" class="edge">
<title>proc~v2s_bug&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M563.0621,-407.9863C568.4558,-405.2406 574.0036,-402.1857 579,-399 599.6374,-385.8415 621.1907,-368.2232 636.4801,-354.964"/>
<polygon fill="#000000" stroke="#000000" points="639.0853,-357.3338 644.2842,-348.1022 634.4631,-352.0769 639.0853,-357.3338"/>
</g>
<!-- interface~v2s -->
<g id="proc~~value_to_string~~CalledByGraph_node7" class="node">
<title>interface~v2s</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node7"><a xlink:href=".././interface/v2s.html" xlink:title="v2s">
<polygon fill="#a7506f" stroke="#a7506f" points="439.5,-306 385.5,-306 385.5,-282 439.5,-282 439.5,-306"/>
<text text-anchor="middle" x="412.5" y="-291.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">v2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~r2s -->
<g id="proc~~value_to_string~~CalledByGraph_edge6" class="edge">
<title>interface~v2s&#45;&gt;proc~r2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M426.3015,-306.0517C442.0295,-319.449 468.8237,-341.2684 494,-357 496.2771,-358.4228 498.664,-359.8241 501.0958,-361.1862"/>
<polygon fill="#000000" stroke="#000000" points="499.5105,-364.3072 509.9826,-365.9155 502.7991,-358.1278 499.5105,-364.3072"/>
</g>
<!-- interface~v2s&#45;&gt;proc~l2s -->
<g id="proc~~value_to_string~~CalledByGraph_edge7" class="edge">
<title>interface~v2s&#45;&gt;proc~l2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M439.7123,-303.2171C457.3181,-309.1803 480.4572,-317.0178 499.696,-323.5341"/>
<polygon fill="#000000" stroke="#000000" points="498.7569,-326.9113 509.3512,-326.8044 501.0026,-320.2813 498.7569,-326.9113"/>
</g>
<!-- interface~v2s&#45;&gt;proc~i2s -->
<g id="proc~~value_to_string~~CalledByGraph_edge8" class="edge">
<title>interface~v2s&#45;&gt;proc~i2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M439.7123,-294C457.1566,-294 480.0331,-294 499.1655,-294"/>
<polygon fill="#000000" stroke="#000000" points="499.3512,-297.5001 509.3512,-294 499.3511,-290.5001 499.3512,-297.5001"/>
</g>
<!-- interface~v2s&#45;&gt;proc~d2s -->
<g id="proc~~value_to_string~~CalledByGraph_edge9" class="edge">
<title>interface~v2s&#45;&gt;proc~d2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M439.7123,-284.7829C457.3181,-278.8197 480.4572,-270.9822 499.696,-264.4659"/>
<polygon fill="#000000" stroke="#000000" points="501.0026,-267.7187 509.3512,-261.1956 498.7569,-261.0887 501.0026,-267.7187"/>
</g>
<!-- proc~describe -->
<g id="proc~~value_to_string~~CalledByGraph_node8" class="node">
<title>proc~describe</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node8"><a xlink:href=".././proc/describe.html" xlink:title="describe">
<polygon fill="#d94e8f" stroke="#d94e8f" points="331,-306 277,-306 277,-282 331,-282 331,-306"/>
<text text-anchor="middle" x="304" y="-291.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">describe</text>
</a>
</g>
</g>
<!-- proc~describe&#45;&gt;interface~v2s -->
<g id="proc~~value_to_string~~CalledByGraph_edge10" class="edge">
<title>proc~describe&#45;&gt;interface~v2s</title>
<path fill="none" stroke="#000000" d="M331.0992,-294C344.4334,-294 360.7161,-294 375.2049,-294"/>
<polygon fill="#000000" stroke="#000000" points="375.3702,-297.5001 385.3702,-294 375.3701,-290.5001 375.3702,-297.5001"/>
</g>
<!-- proc~a2d -->
<g id="proc~~value_to_string~~CalledByGraph_node9" class="node">
<title>proc~a2d</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node9"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="331,-144 277,-144 277,-120 331,-120 331,-144"/>
<text text-anchor="middle" x="304" y="-129.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;interface~v2s -->
<g id="proc~~value_to_string~~CalledByGraph_edge11" class="edge">
<title>proc~a2d&#45;&gt;interface~v2s</title>
<path fill="none" stroke="#000000" d="M312.1551,-144.1763C330.6132,-171.7358 375.7616,-239.1463 398.6751,-273.3581"/>
<polygon fill="#000000" stroke="#000000" points="395.7774,-275.3214 404.2502,-281.6824 401.5935,-271.426 395.7774,-275.3214"/>
</g>
<!-- proc~decodebase -->
<g id="proc~~value_to_string~~CalledByGraph_node16" class="node">
<title>proc~decodebase</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node16"><a xlink:href=".././proc/decodebase.html" xlink:title="decodebase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="448,-24 377,-24 377,0 448,0 448,-24"/>
<text text-anchor="middle" x="412.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">decodebase</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="proc~~value_to_string~~CalledByGraph_edge30" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M309.869,-119.7214C319.5729,-100.4167 340.5446,-62.6332 367,-38 370.3105,-34.9175 374.0514,-32.0516 377.9305,-29.4345"/>
<polygon fill="#000000" stroke="#000000" points="379.8669,-32.3523 386.5302,-24.1151 376.1844,-26.3991 379.8669,-32.3523"/>
</g>
<!-- proc~s2v -->
<g id="proc~~value_to_string~~CalledByGraph_node10" class="node">
<title>proc~s2v</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node10"><a xlink:href=".././proc/s2v.html" xlink:title="s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="241,-144 187,-144 187,-120 241,-120 241,-144"/>
<text text-anchor="middle" x="214" y="-129.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2v</text>
</a>
</g>
</g>
<!-- proc~s2v&#45;&gt;proc~a2d -->
<g id="proc~~value_to_string~~CalledByGraph_edge12" class="edge">
<title>proc~s2v&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M241.003,-132C249.0277,-132 257.9665,-132 266.5309,-132"/>
<polygon fill="#000000" stroke="#000000" points="266.7051,-135.5001 276.705,-132 266.705,-128.5001 266.7051,-135.5001"/>
</g>
<!-- interface~string_to_value -->
<g id="proc~~value_to_string~~CalledByGraph_node11" class="node">
<title>interface~string_to_value</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node11"><a xlink:href=".././interface/string_to_value.html" xlink:title="string_to_value">
<polygon fill="#a7506f" stroke="#a7506f" points="579,-124 494,-124 494,-100 579,-100 579,-124"/>
<text text-anchor="middle" x="536.5" y="-109.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_value</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="proc~~value_to_string~~CalledByGraph_edge15" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M493.7988,-115.6732C450.0495,-119.4366 382.7164,-125.2287 341.1173,-128.8071"/>
<polygon fill="#000000" stroke="#000000" points="340.7889,-125.3223 331.1257,-129.6666 341.3889,-132.2966 340.7889,-125.3223"/>
</g>
<!-- proc~a2i -->
<g id="proc~~value_to_string~~CalledByGraph_node12" class="node">
<title>proc~a2i</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node12"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="684.5,-83 630.5,-83 630.5,-59 684.5,-59 684.5,-83"/>
<text text-anchor="middle" x="657.5" y="-68.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="proc~~value_to_string~~CalledByGraph_edge25" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M572.1495,-99.9204C587.3607,-94.7662 605.1085,-88.7525 620.4681,-83.548"/>
<polygon fill="#000000" stroke="#000000" points="621.8182,-86.7861 630.166,-80.2619 619.5717,-80.1563 621.8182,-86.7861"/>
</g>
<!-- proc~a2r -->
<g id="proc~~value_to_string~~CalledByGraph_node13" class="node">
<title>proc~a2r</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node13"><a xlink:href=".././proc/a2r.html" xlink:title="a2r">
<polygon fill="#d9534f" stroke="#d9534f" points="684.5,-164 630.5,-164 630.5,-140 684.5,-140 684.5,-164"/>
<text text-anchor="middle" x="657.5" y="-149.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2r</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="proc~~value_to_string~~CalledByGraph_edge26" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M572.804,-124.0013C587.9935,-129.0227 605.6193,-134.8494 620.846,-139.883"/>
<polygon fill="#000000" stroke="#000000" points="619.8626,-143.2441 630.4559,-143.0598 622.0598,-136.5979 619.8626,-143.2441"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="proc~~value_to_string~~CalledByGraph_edge13" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M630.1846,-64.4522C577.1391,-53.1202 457.4595,-34.3822 367,-71 346.8991,-79.1368 329.663,-97.1032 318.3265,-111.442"/>
<polygon fill="#000000" stroke="#000000" points="315.2691,-109.6844 312.0575,-119.7808 320.8643,-113.8908 315.2691,-109.6844"/>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="proc~~value_to_string~~CalledByGraph_edge14" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M631.9598,-164.0476C580.0443,-186.7488 459.3002,-230.3629 367,-193 346.8991,-184.8632 329.663,-166.8968 318.3265,-152.558"/>
<polygon fill="#000000" stroke="#000000" points="320.8643,-150.1092 312.0575,-144.2192 315.2691,-154.3156 320.8643,-150.1092"/>
</g>
<!-- proc~dble_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_node14" class="node">
<title>proc~dble_s2v</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node14"><a xlink:href=".././proc/dble_s2v.html" xlink:title="dble_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="148,-249 93,-249 93,-225 148,-225 148,-249"/>
<text text-anchor="middle" x="120.5" y="-234.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble_s2v</text>
</a>
</g>
</g>
<!-- proc~dble_s2v&#45;&gt;proc~s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge16" class="edge">
<title>proc~dble_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M140.2653,-224.7881C144.0028,-222.0996 147.7541,-219.117 151,-216 171.0421,-196.7539 189.5527,-170.6462 201.2499,-152.6715"/>
<polygon fill="#000000" stroke="#000000" points="204.2944,-154.4067 206.7177,-144.0927 198.3914,-150.6443 204.2944,-154.4067"/>
</g>
<!-- proc~dbles_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_node15" class="node">
<title>proc~dbles_s2v</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node15"><a xlink:href=".././proc/dbles_s2v.html" xlink:title="dbles_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="151,-207 90,-207 90,-183 151,-183 151,-207"/>
<text text-anchor="middle" x="120.5" y="-192.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dbles_s2v</text>
</a>
</g>
</g>
<!-- proc~dbles_s2v&#45;&gt;proc~s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge17" class="edge">
<title>proc~dbles_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M138.5277,-182.853C152.3681,-173.5274 171.6921,-160.5069 187.3215,-149.9759"/>
<polygon fill="#000000" stroke="#000000" points="189.6902,-152.6003 196.0276,-144.1097 185.7787,-146.7951 189.6902,-152.6003"/>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="proc~~value_to_string~~CalledByGraph_edge22" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M427.7048,-24.262C449.2029,-41.5991 488.6468,-73.4087 513.6712,-93.5896"/>
<polygon fill="#000000" stroke="#000000" points="511.5768,-96.397 521.5581,-99.9501 515.9711,-90.9481 511.5768,-96.397"/>
</g>
<!-- proc~reals_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_node17" class="node">
<title>proc~reals_s2v</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node17"><a xlink:href=".././proc/reals_s2v.html" xlink:title="reals_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="149.5,-165 91.5,-165 91.5,-141 149.5,-141 149.5,-165"/>
<text text-anchor="middle" x="120.5" y="-150.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">reals_s2v</text>
</a>
</g>
</g>
<!-- proc~reals_s2v&#45;&gt;proc~s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge18" class="edge">
<title>proc~reals_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M149.5715,-146.4706C158.2182,-144.5285 167.8112,-142.374 176.8961,-140.3335"/>
<polygon fill="#000000" stroke="#000000" points="177.8699,-143.7021 186.8598,-138.0957 176.3358,-136.8722 177.8699,-143.7021"/>
</g>
<!-- proc~string_to_values -->
<g id="proc~~value_to_string~~CalledByGraph_node18" class="node">
<title>proc~string_to_values</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node18"><a xlink:href=".././proc/string_to_values.html" xlink:title="string_to_values">
<polygon fill="#d9534f" stroke="#d9534f" points="458,-184 367,-184 367,-160 458,-160 458,-184"/>
<text text-anchor="middle" x="412.5" y="-169.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_values</text>
</a>
</g>
</g>
<!-- proc~string_to_values&#45;&gt;interface~string_to_value -->
<g id="proc~~value_to_string~~CalledByGraph_edge24" class="edge">
<title>proc~string_to_values&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M437.5933,-159.8581C456.2494,-150.8309 481.9154,-138.4119 502.4265,-128.4872"/>
<polygon fill="#000000" stroke="#000000" points="503.9669,-131.6301 511.4441,-124.1238 500.918,-125.3289 503.9669,-131.6301"/>
</g>
<!-- proc~real_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_node19" class="node">
<title>proc~real_s2v</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node19"><a xlink:href=".././proc/real_s2v.html" xlink:title="real_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="147.5,-123 93.5,-123 93.5,-99 147.5,-99 147.5,-123"/>
<text text-anchor="middle" x="120.5" y="-108.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real_s2v</text>
</a>
</g>
</g>
<!-- proc~real_s2v&#45;&gt;proc~s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge19" class="edge">
<title>proc~real_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M147.5441,-117.0741C156.6707,-119.1239 167.0237,-121.4492 176.7956,-123.6439"/>
<polygon fill="#000000" stroke="#000000" points="176.1688,-127.0903 186.6928,-125.8668 177.7029,-120.2604 176.1688,-127.0903"/>
</g>
<!-- proc~int_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_node20" class="node">
<title>proc~int_s2v</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node20"><a xlink:href=".././proc/int_s2v.html" xlink:title="int_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="147.5,-81 93.5,-81 93.5,-57 147.5,-57 147.5,-81"/>
<text text-anchor="middle" x="120.5" y="-66.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int_s2v</text>
</a>
</g>
</g>
<!-- proc~int_s2v&#45;&gt;proc~s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge20" class="edge">
<title>proc~int_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M138.5277,-81.147C152.3681,-90.4726 171.6921,-103.4931 187.3215,-114.0241"/>
<polygon fill="#000000" stroke="#000000" points="185.7787,-117.2049 196.0276,-119.8903 189.6902,-111.3997 185.7787,-117.2049"/>
</g>
<!-- proc~ints_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_node21" class="node">
<title>proc~ints_s2v</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node21"><a xlink:href=".././proc/ints_s2v.html" xlink:title="ints_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="147.5,-39 93.5,-39 93.5,-15 147.5,-15 147.5,-39"/>
<text text-anchor="middle" x="120.5" y="-24.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">ints_s2v</text>
</a>
</g>
</g>
<!-- proc~ints_s2v&#45;&gt;proc~s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge21" class="edge">
<title>proc~ints_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M140.2653,-39.2119C144.0028,-41.9004 147.7541,-44.883 151,-48 171.0421,-67.2461 189.5527,-93.3538 201.2499,-111.3285"/>
<polygon fill="#000000" stroke="#000000" points="198.3914,-113.3557 206.7177,-119.9073 204.2944,-109.5933 198.3914,-113.3557"/>
</g>
<!-- proc~s2vs -->
<g id="proc~~value_to_string~~CalledByGraph_node22" class="node">
<title>proc~s2vs</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node22"><a xlink:href=".././proc/s2vs.html" xlink:title="s2vs">
<polygon fill="#d94e8f" stroke="#d94e8f" points="439.5,-104 385.5,-104 385.5,-80 439.5,-80 439.5,-104"/>
<text text-anchor="middle" x="412.5" y="-89.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2vs</text>
</a>
</g>
</g>
<!-- proc~s2vs&#45;&gt;interface~string_to_value -->
<g id="proc~~value_to_string~~CalledByGraph_edge23" class="edge">
<title>proc~s2vs&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M439.7123,-96.3891C452.5716,-98.4632 468.3828,-101.0134 483.4701,-103.4468"/>
<polygon fill="#000000" stroke="#000000" points="483.3246,-106.9685 493.7544,-105.1055 484.4393,-100.0578 483.3246,-106.9685"/>
</g>
<!-- interface~real~2 -->
<g id="proc~~value_to_string~~CalledByGraph_node23" class="node">
<title>interface~real~2</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node23"><a xlink:href=".././interface/real%7E2.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-165 0,-165 0,-141 54,-141 54,-165"/>
<text text-anchor="middle" x="27" y="-150.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real~2&#45;&gt;proc~reals_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge31" class="edge">
<title>interface~real~2&#45;&gt;proc~reals_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-153C62.5083,-153 72.0274,-153 81.1595,-153"/>
<polygon fill="#000000" stroke="#000000" points="81.2286,-156.5001 91.2286,-153 81.2286,-149.5001 81.2286,-156.5001"/>
</g>
<!-- interface~dble -->
<g id="proc~~value_to_string~~CalledByGraph_node24" class="node">
<title>interface~dble</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node24"><a xlink:href=".././interface/dble.html" xlink:title="dble">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-249 0,-249 0,-225 54,-225 54,-249"/>
<text text-anchor="middle" x="27" y="-234.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble</text>
</a>
</g>
</g>
<!-- interface~dble&#45;&gt;proc~dble_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge27" class="edge">
<title>interface~dble&#45;&gt;proc~dble_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-237C62.9954,-237 73.1265,-237 82.732,-237"/>
<polygon fill="#000000" stroke="#000000" points="82.8679,-240.5001 92.8678,-237 82.8678,-233.5001 82.8679,-240.5001"/>
</g>
<!-- proc~base -->
<g id="proc~~value_to_string~~CalledByGraph_node25" class="node">
<title>proc~base</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node25"><a xlink:href=".././proc/base.html" xlink:title="base">
<polygon fill="#d94e8f" stroke="#d94e8f" points="331,-24 277,-24 277,0 331,0 331,-24"/>
<text text-anchor="middle" x="304" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">base</text>
</a>
</g>
</g>
<!-- proc~base&#45;&gt;proc~decodebase -->
<g id="proc~~value_to_string~~CalledByGraph_edge29" class="edge">
<title>proc~base&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M331.0992,-12C341.8874,-12 354.6056,-12 366.7423,-12"/>
<polygon fill="#000000" stroke="#000000" points="366.7453,-15.5001 376.7452,-12 366.7452,-8.5001 366.7453,-15.5001"/>
</g>
<!-- interface~int~2 -->
<g id="proc~~value_to_string~~CalledByGraph_node26" class="node">
<title>interface~int~2</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node26"><a xlink:href=".././interface/int%7E2.html" xlink:title="int">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-39 0,-39 0,-15 54,-15 54,-39"/>
<text text-anchor="middle" x="27" y="-24.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int</text>
</a>
</g>
</g>
<!-- interface~int~2&#45;&gt;proc~ints_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge34" class="edge">
<title>interface~int~2&#45;&gt;proc~ints_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-27C63.0746,-27 73.3059,-27 82.9868,-27"/>
<polygon fill="#000000" stroke="#000000" points="83.1928,-30.5001 93.1928,-27 83.1927,-23.5001 83.1928,-30.5001"/>
</g>
<!-- interface~real -->
<g id="proc~~value_to_string~~CalledByGraph_node27" class="node">
<title>interface~real</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node27"><a xlink:href=".././interface/real.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-123 0,-123 0,-99 54,-99 54,-123"/>
<text text-anchor="middle" x="27" y="-108.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real&#45;&gt;proc~real_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge32" class="edge">
<title>interface~real&#45;&gt;proc~real_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-111C63.0746,-111 73.3059,-111 82.9868,-111"/>
<polygon fill="#000000" stroke="#000000" points="83.1928,-114.5001 93.1928,-111 83.1927,-107.5001 83.1928,-114.5001"/>
</g>
<!-- interface~dble~2 -->
<g id="proc~~value_to_string~~CalledByGraph_node28" class="node">
<title>interface~dble~2</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node28"><a xlink:href=".././interface/dble%7E2.html" xlink:title="dble">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-207 0,-207 0,-183 54,-183 54,-207"/>
<text text-anchor="middle" x="27" y="-192.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble</text>
</a>
</g>
</g>
<!-- interface~dble~2&#45;&gt;proc~dbles_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge28" class="edge">
<title>interface~dble~2&#45;&gt;proc~dbles_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-195C62.1072,-195 71.1275,-195 79.8587,-195"/>
<polygon fill="#000000" stroke="#000000" points="79.9008,-198.5001 89.9008,-195 79.9007,-191.5001 79.9008,-198.5001"/>
</g>
<!-- interface~int -->
<g id="proc~~value_to_string~~CalledByGraph_node29" class="node">
<title>interface~int</title>
<g id="a_proc~~value_to_string~~CalledByGraph_node29"><a xlink:href=".././interface/int.html" xlink:title="int">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-81 0,-81 0,-57 54,-57 54,-81"/>
<text text-anchor="middle" x="27" y="-66.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int</text>
</a>
</g>
</g>
<!-- interface~int&#45;&gt;proc~int_s2v -->
<g id="proc~~value_to_string~~CalledByGraph_edge33" class="edge">
<title>interface~int&#45;&gt;proc~int_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-69C63.0746,-69 73.3059,-69 82.9868,-69"/>
<polygon fill="#000000" stroke="#000000" points="83.1928,-72.5001 93.1928,-69 83.1927,-65.5001 83.1928,-72.5001"/>
</g>
</g>
</svg>
</div><script>var panprocvalue_to_stringCalledByGraph = svgPanZoom('#procvalue_to_stringCalledByGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>